services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  WebitDe\DrbeckmannGuide\:
    resource: '../Classes/*'

  WebitDe\DrbeckmannGuide\Controller\GuideController:
    arguments:
      $guideService: '@WebitDe\DrbeckmannGuide\Service\GuideService'

  extbaseSettings.DrbeckmannGuide.GuidesOverview:
    class: 'array'
    factory:
      - '@TYPO3\CMS\Extbase\Configuration\ConfigurationManager'
      - 'getConfiguration'
    arguments:
      $configurationType: 'Settings'
      $extensionName: 'DrbeckmannGuide'
      $pluginName: 'GuidesOverview'

  WebitDe\DrbeckmannGuide\Service\GuideService:
    arguments:
      $articleRepository: '@WebitDe\DrbeckmannGuide\Domain\Repository\ArticleRepository'
      $categoryRepository: '@WebitDe\DrbeckmannCategories\Domain\Repository\CategoryRepository'
      $settings: '@extbaseSettings.DrbeckmannGuide.GuidesOverview'
